%define name gnomba
%define ver 0.4.1
%define rel 1
%define prefix /usr/X11R6

Summary: A GUI Samba client.
Name: gnomba
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Applications/System
Source: http://stute.jacobus.stevens-tech.edu/~gandalf/proj/gnomba/gnomba-%{ver}.tar.gz
URL: http://stute.jacobus.stevens-tech.edu/~gandalf/proj/gnomba/
Buildroot: /var/tmp/%{name}-root

%description
Gnomba is a GUI version of smbclient, a Linux/UNIX client for
Microsoft's SMB or Samba protocol.  Gnomba allows users to browse
workgroups, machines, etc., in a "Network Neighborhood."

%prep
%setup -q

%build
./configure --prefix=%{prefix}
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
     
%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Networking

install -s -m 755 gnomba $RPM_BUILD_ROOT%{prefix}/bin/gnomba
install -m 644 gnomba.desktop $RPM_BUILD_ROOT/usr/share/gnome/apps/Networking/gnomba.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/gnomba
/usr/share/gnome/apps/Networking/gnomba.desktop

%changelog
* Wed Sep 1 1999 Tim Powers <timp@redhat.com>
- updated source

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Thu Aug 5 1999 Tim Powers <timp@redhat.com>
- snagged spec from tarball
- using buildroot now so that we don't pollute anything on the system
- general cleanups of the spec file
- added URL line
- added ftp location to the Source: line
- added %defattr to %files section
- changed group to Applications/Internet
- quiet setup
- started changelog ;)
- built for Powertools
